Bug 39263 - Update port: devel/ecgi ${PERL} -> ${REINPLACE_CMD}
Update port: devel/ecgi ${PERL} -> ${REINPLACE_CMD}
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-14 10:10 UTC by obraun
Modified: 2002-06-27 14:33 UTC (History)
0 users

See Also:


Attachments
file.diff (555 bytes, patch)
2002-06-14 10:10 UTC, obraun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description obraun 2002-06-14 10:10:01 UTC
Replace ${PERL} with ${REINPLACE_CMD}.

Regards,
         Olli
Comment 1 obraun 2002-06-19 22:20:32 UTC
add USE_REINPLACE= yes

Regards,
         Olli


Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/ecgi/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- Makefile	2002/01/26 08:08:36	1.3
+++ Makefile	2002/06/19 21:20:02
@@ -13,13 +13,14 @@
 MAINTAINER=	ports@freebsd.org
 
 USE_GMAKE=	yes
+USE_REINPLACE=	yes
 
 INSTALLS_SHLIB=	yes
 
 HEADER_FILES=	ecgi.h ecgitk.h include/memfile.h
 
 pre-patch:
-	@${PERL} -pi -e 's,<malloc.h>,<stdlib.h>,' ${WRKSRC}/src/memfile.c
+	@${REINPLACE_CMD} -e 's,<malloc.h>,<stdlib.h>,' ${WRKSRC}/src/memfile.c
 
 do-install:
 	@${INSTALL_DATA} ${WRKSRC}/libecgi.a ${PREFIX}/lib
Comment 2 perky freebsd_committer 2002-06-27 14:33:03 UTC
State Changed
From-To: open->closed

Committed, Thanks!